// FingerCellView.h : interface of the CFingerCellView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FINGERCELLVIEW_H__C5C2D7F9_C9C0_4048_B1C2_7BD19CCBAB84__INCLUDED_)
#define AFX_FINGERCELLVIEW_H__C5C2D7F9_C9C0_4048_B1C2_7BD19CCBAB84__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "FingerCellDoc.h"

class CFingerCellView : public CScrollView
{
protected: // create from serialization only
	CFingerCellView();
	DECLARE_DYNCREATE(CFingerCellView)

// Attributes
public:
	CFingerCellDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFingerCellView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect, CWnd* pParentWnd, UINT nID, CCreateContext* pContext = NULL);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	void Draw(HDC dc, int xx, int yy, BOOL GrayScale, int zoom, HNImage hImage);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFingerCellView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	////virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
public:
	//{{AFX_MSG(CFingerCellView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in FingerCellView.cpp
inline CFingerCellDoc* CFingerCellView::GetDocument()
   { return (CFingerCellDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FINGERCELLVIEW_H__C5C2D7F9_C9C0_4048_B1C2_7BD19CCBAB84__INCLUDED_)
